package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ShopAgreement;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.ShopAgreementMapper")
public interface ShopAgreementMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ShopAgreement record);

    ShopAgreement selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ShopAgreement record);

    List<ShopAgreement> queryAllShopAgreement(ShopAgreement record);

    List<ShopAgreement> queryShopAgreementByPage(Map<String, Object> parameter);

    int delete(String id);

    ShopAgreement queryShopAgreement(ShopAgreement record);

    List<ShopAgreement> query(ShopAgreement record);
}

